# react-native-social-commerce

React Native Bridge for Social Commerce App

## Installation

```sh
npm install react-native-social-commerce
```

## Auth Module

### Get Merchant Token

```
const credential = await AuthenticationManager.getInstance().getMerchantToken();
```

### Get User Info

```
const userInfo = await AuthenticationManager.getInstance().getUserInfo();
```

### Login

### Refresh Token

### Logout

## Video Screen

Integrate Video Screen into Container

```
<Tab.Screen name="Video" component={VideoScreen} />
```

## Brigdge Protocal

### Auth Module

Please refer to https://fwn.atlassian.net/wiki/spaces/COM/pages/16220161/RN+Native+Communication+Tech+Proposal to check the Auth Protocal/Interface

### Video Screen

#### Event

-   Change Navigation Title

Video Screen is listening to the event of `changeNavigationTitle`, and event type is defined as

```
type ChangeTitleEvent = {
  title: string;
};
```

So the native module can send the event by `NSNotification`(iOS) or `RCTDeviceEventEmitter`

#### View

Native module will need provide a Native UI Components.

The ViewManager named `VideoListViewManager`
