package com.reactnative.socialcommerce

import com.facebook.react.ReactPackage
import com.facebook.react.bridge.NativeModule
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.uimanager.ViewManager
import com.reactnative.socialcommerce.auth.AuthenticationModule
import com.reactnative.socialcommerce.contentmanagement.ContentManagementModule
import com.reactnative.socialcommerce.contentmanagement.component.VideoListView


class SocialCommercePackage : ReactPackage {

    override fun createNativeModules(reactContext: ReactApplicationContext): List<NativeModule> {
        return listOf(
            SocialCommerceModule(reactContext),
            AuthenticationModule(reactContext),
            ContentManagementModule(reactContext)
        )
    }

    override fun createViewManagers(reactContext: ReactApplicationContext): List<ViewManager<*, *>> {
        return listOf(VideoListView(reactContext))
    }

}
