package com.reactnative.socialcommerce.auth.util

import com.loopnow.library.camera.framework.auth.model.Business
import com.loopnow.library.camera.framework.auth.model.Channel
import com.loopnow.library.camera.framework.auth.model.Me
import com.reactnative.socialcommerce.auth.model.FWBusiness
import com.reactnative.socialcommerce.auth.model.FWChannel
import com.reactnative.socialcommerce.auth.model.FWUserInfo

object FWDataConvertUtil {

    fun convertBusiness2RN(business: Business?): FWBusiness? {
        if (business == null) {
            return null
        }
        return FWBusiness(business.id, business.name)
    }

    fun convertChannel2RN(channel: Channel?): FWChannel? {
        if (channel == null) {
            return null
        }
        return FWChannel(channel.id, channel.name)
    }

    fun convertMe2RN(me: Me?): FWUserInfo? {
        if (me == null) {
            return null
        }
        return FWUserInfo(
            me.encodedId,
            me.username,
            me.name,
        )
    }

    fun convertBusinessList2RN(businessList: List<Business>?): List<FWBusiness>? {
        if (businessList == null) {
            return null
        }
        val fwBusinessList = arrayListOf<FWBusiness>()
        for (business in businessList) {
            val fwBusiness = convertBusiness2RN(business)
            if (fwBusiness != null) {
                fwBusinessList.add(fwBusiness)
            }
        }
        return fwBusinessList
    }

    fun convertChannelList2RN(channelList: List<Channel>?): List<FWChannel>? {
        if (channelList == null) {
            return null
        }
        val fwChannelList = arrayListOf<FWChannel>()
        for (channel in channelList) {
            val fwChannel = convertChannel2RN(channel)
            if (fwChannel != null) {
                fwChannelList.add(fwChannel)
            }
        }
        return fwChannelList
    }

}