package com.reactnative.socialcommerce.contentmanagement

import com.facebook.react.bridge.*
import com.loopnow.library.content.management.api.CmApi
import com.reactnative.socialcommerce.contentmanagement.model.ContentManagementInterface

class ContentManagementModule(reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext), ContentManagementInterface {

  @ReactMethod
  override fun setShareBaseURL(url: String?, promise: Promise) {
    val res = CmApi.setShareBaseURL(url)
    promise.resolve(res)
  }

  @ReactMethod
  fun addListener(eventName: String?, promise: Promise) {
    promise.resolve(Arguments.createMap())
  }

  @ReactMethod
  fun removeListeners(count: Int?, promise: Promise) {
    promise.resolve(Arguments.createMap())
  }

  override fun getName(): String {
    return "ContentManagementModule"
  }

}
