//
//  VideoListView.swift
//
//  Created by Jinchao.Lin on 2022/04/28.
//
import Foundation
import ContentManagement
import React

@objc(SocialCommerceModule)
class SocialCommerceModule: RCTEventEmitter {
    override func supportedEvents() -> [String]! {
        ["changeNavigationTitle"]
    }

    override class func requiresMainQueueSetup() -> Bool {
        return true
    }

    override init() {
        super.init()

        _ = NotificationCenter.default.addObserver(forName: NSNotification.Name(rawValue: "changeNavigationTitle"),
                                                   object: nil,
                                                   queue: nil) { (notification) in
            let title = notification.object as? String
            self.emitEvent(with: title ?? "")
        }
    }

    func emitEvent(with title: String) {
        sendEvent(withName: "changeNavigationTitle", body: ["title": title])
    }
}
