//
//  VideoListView.swift
//
//  Created by Jinchao.Lin on 2022/04/28.
//
import UIKit
import ContentManagement
import React

@objc(VideoListView)
class VideoListView: RCTViewManager {
    override func view() -> UIView! {
        return VideoHomeView()
    }

     override class func requiresMainQueueSetup() -> Bool {
         return true
     }
}

class VideoHomeView: UIView {
    private var videoVC: VideoHomeViewController?

    override func layoutSubviews() {
        super.layoutSubviews()
        embed()
    }

    override func removeFromSuperview() {
        super.removeFromSuperview()

        guard let videoVC = videoVC, let parentVC = parentViewController else {
            return
        }

        parentVC.detachChild(videoVC)
    }

    private func embed() {
        guard let parentVC = parentViewController else {
            return
        }

        guard videoVC == nil else {
            return
        }

        let videoVC = VideoHomeViewController()
        videoVC.videoSelectionHandler = { title in
            NotificationCenter.default.post(name: Notification.Name("changeNavigationTitle"), object: title)
        }
        self.videoVC = videoVC

        parentVC.attachChild(videoVC, to: self)
    }
}
