"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const LINKING_ERROR = `The package 'AuthenticationModule' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const VideoListView = _reactNative.UIManager.getViewManagerConfig('VideoListView') != null ? (0, _reactNative.requireNativeComponent)('VideoListView') : () => {
  throw new Error(LINKING_ERROR);
};

const createFragment = viewId => {
  try {
    _reactNative.UIManager.dispatchViewManagerCommand(viewId, _reactNative.UIManager.getViewManagerConfig('VideoListView').Commands.create.toString(), [viewId]);
  } catch (ignored) {}
};

const eventEmitter = new _reactNative.NativeEventEmitter(_reactNative.NativeModules.SocialCommerceModule); // const VideoScreen = ({ navigation }: any) => {
//   const ref = useRef(null);
//   useEffect(() => {
//     if (Platform.OS === 'android') {
//       const viewId = findNodeHandle(ref.current);
//       createFragment(viewId);
//     }
//   }, []);
//   useEffect(() => {
//     const sub = eventEmitter.addListener(
//       'changeNavigationTitle',
//       (event: ChangeTitleEvent) => {
//         navigation.setOptions({ title: event.title });
//       },
//     );
//     return () => {
//       sub.remove();
//     };
//   }, [navigation]);
//   return (
//     <View style={styles.container}>
//       <VideoListView style={styles.videoView} ref={ref} />
//     </View>
//   );
// };

class VideoScreen extends _react.default.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "ref", /*#__PURE__*/_react.default.createRef());

    _defineProperty(this, "subscriptions", void 0);
  }

  componentDidMount() {
    if (_reactNative.Platform.OS === 'android') {
      const viewId = (0, _reactNative.findNodeHandle)(this.ref.current);
      createFragment(viewId);
    }

    this.subscriptions = eventEmitter.addListener('changeNavigationTitle', event => {
      this.props.navigation.setOptions({
        title: event.title
      });
    });
  }

  componentWillUnmount() {
    if (this.subscriptions) {
      this.subscriptions.remove();
    }
  }

  render() {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.container
    }, /*#__PURE__*/_react.default.createElement(VideoListView, {
      style: styles.videoView,
      ref: this.ref
    }));
  }

}

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#e4f0ee'
  },
  videoView: {
    width: '100%',
    height: '100%'
  }
});

var _default = VideoScreen;
exports.default = _default;
//# sourceMappingURL=VideoScreen.js.map