function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import AuthenticationModule from './modules/AuthenticationModule';

class AuthenticationManager {
  static getInstance() {
    if (!AuthenticationManager.instance) {
      AuthenticationManager.instance = new AuthenticationManager();
    }

    return AuthenticationManager.instance;
  }
  /**
   * Host app can call this method to present a firework login screen, then can get an access token after the user authorizes it.
   */


  login() {
    return AuthenticationModule.login();
  }
  /**
   * After login success, the host needs to call this method to prepare firework’s basic info so that it can use firework’s feature.
   */


  syncCurrentOrganization() {
    return AuthenticationModule.syncCurrentOrganization();
  }
  /**
   * Host can call this method to get a token, if there is no token, the host needs to call the login method.
   */


  getMerchantToken() {
    return AuthenticationModule.getMerchantToken();
  }

  getAccessToken() {
    return AuthenticationModule.getAccessToken();
  }
  /**
   * Host can call this method to refresh the token when the merchant token expires.
   */


  refreshToken() {
    return AuthenticationModule.refreshToken();
  }
  /**
   * Host needs to call this method to clear local token info when user tap logout
   */


  logout() {
    AuthenticationModule.logout();
  }

  getBusinessList(page, pageSize) {
    return AuthenticationModule.getBusinessList(page !== null && page !== void 0 ? page : 0, pageSize !== null && pageSize !== void 0 ? pageSize : 30);
  }

  getChannelList(businessId, page, pageSize) {
    return AuthenticationModule.getChannelList(businessId, page !== null && page !== void 0 ? page : 0, pageSize !== null && pageSize !== void 0 ? pageSize : 30);
  }

  getStoreList(businessId, page, pageSize) {
    return AuthenticationModule.getStoreList(businessId, page !== null && page !== void 0 ? page : 0, pageSize !== null && pageSize !== void 0 ? pageSize : 30);
  }

  changeCurrentChannel(businessId, channelId) {
    return AuthenticationModule.changeCurrentChannel(businessId, channelId);
  }

  changeCurrentStore(businessId, storeId) {
    return AuthenticationModule.changeCurrentStore(businessId, storeId);
  }

  getCurrentOrgInfo() {
    return AuthenticationModule.getCurrentOrgInfo();
  }

}

_defineProperty(AuthenticationManager, "instance", void 0);

export default AuthenticationManager;
//# sourceMappingURL=AuthenticationManager.js.map