function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// import type { NativeStackScreenProps } from '@react-navigation/native-stack';
import React from 'react';
import { findNodeHandle, NativeEventEmitter, NativeModules, requireNativeComponent, StyleSheet, UIManager, Platform, View } from 'react-native'; // type Props = NativeStackScreenProps<any, 'Video'>;

const LINKING_ERROR = `The package 'AuthenticationModule' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const VideoListView = UIManager.getViewManagerConfig('VideoListView') != null ? requireNativeComponent('VideoListView') : () => {
  throw new Error(LINKING_ERROR);
};

const createFragment = viewId => {
  try {
    UIManager.dispatchViewManagerCommand(viewId, UIManager.getViewManagerConfig('VideoListView').Commands.create.toString(), [viewId]);
  } catch (ignored) {}
};

const eventEmitter = new NativeEventEmitter(NativeModules.SocialCommerceModule); // const VideoScreen = ({ navigation }: any) => {
//   const ref = useRef(null);
//   useEffect(() => {
//     if (Platform.OS === 'android') {
//       const viewId = findNodeHandle(ref.current);
//       createFragment(viewId);
//     }
//   }, []);
//   useEffect(() => {
//     const sub = eventEmitter.addListener(
//       'changeNavigationTitle',
//       (event: ChangeTitleEvent) => {
//         navigation.setOptions({ title: event.title });
//       },
//     );
//     return () => {
//       sub.remove();
//     };
//   }, [navigation]);
//   return (
//     <View style={styles.container}>
//       <VideoListView style={styles.videoView} ref={ref} />
//     </View>
//   );
// };

class VideoScreen extends React.Component {
  constructor() {
    super(...arguments);

    _defineProperty(this, "ref", /*#__PURE__*/React.createRef());

    _defineProperty(this, "subscriptions", void 0);
  }

  componentDidMount() {
    if (Platform.OS === 'android') {
      const viewId = findNodeHandle(this.ref.current);
      createFragment(viewId);
    }

    this.subscriptions = eventEmitter.addListener('changeNavigationTitle', event => {
      this.props.navigation.setOptions({
        title: event.title
      });
    });
  }

  componentWillUnmount() {
    if (this.subscriptions) {
      this.subscriptions.remove();
    }
  }

  render() {
    return /*#__PURE__*/React.createElement(View, {
      style: styles.container
    }, /*#__PURE__*/React.createElement(VideoListView, {
      style: styles.videoView,
      ref: this.ref
    }));
  }

}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#e4f0ee'
  },
  videoView: {
    width: '100%',
    height: '100%'
  }
});
export default VideoScreen;
//# sourceMappingURL=VideoScreen.js.map