import type BusinessResponseData from 'src/models/Business';
import type ChannelResponseData from 'src/models/Channel';
import type Credential from 'src/models/Credential';
import type LoginResult from 'src/models/LoginResult';
import type StoreResponseData from 'src/models/Store';
import type CurrentOrganizationInfo from 'src/models/CurrentOrganizationInfo';
interface IAuthenticationModule {
    login(): Promise<LoginResult>;
    syncCurrentOrganization(): Promise<boolean>;
    getAccessToken(): Promise<Credential>;
    getMerchantToken(): Promise<object>;
    refreshToken(): Promise<Credential>;
    logout(): void;
    getBusinessList(page?: number, pageSize?: number): Promise<BusinessResponseData>;
    getChannelList(business_id: string, page?: number, pageSize?: number): Promise<ChannelResponseData>;
    getStoreList(business_id: string, page?: number, pageSize?: number): Promise<StoreResponseData>;
    changeCurrentChannel(business_id: string, channel_id: string): Promise<boolean>;
    changeCurrentStore(business_id: string, store_id: string): Promise<boolean>;
    getCurrentOrgInfo(): Promise<CurrentOrganizationInfo>;
}
declare const _default: IAuthenticationModule;
export default _default;
